We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 5905 - TinyMCE Paste from Word 2008 fails in Firefox
TinyMCE Paste from Word 2008 fails in Firefox
Status: RESOLVED WORKSFORME
Product: OJS
Classification: Unclassified
Component: Plug-ins
2.4.3
Macintosh All
: P5 normal
Assigned To: Michael Felczak
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-17 10:49 PDT by Michael Felczak
Modified: 2013-09-03 15:55 PDT (History)
2 users (show)

See Also:
Version Reported In: 2.3.2
Also Affects: OCS 2.3.4, OHS 2.3.2, OMP 1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Felczak 2010-09-17 10:49:47 PDT
Word formatting is not removed and simply pasted in along with the actual content.

For example,
@font-face { font-family: "Cambria"; }p.MsoNormal, li.MsoNormal, div.MsoNormal { margin: 0in 0in 0.0001pt; font-size: 12pt; font-family: "Times New Roman"; }div.Section1 { page: Section1; } <p>This is a test.</p>

Does not affect Safari or Chrome.

Filed upstream with TinyMCE:
http://sourceforge.net/tracker/?func=detail&aid=3069238&group_id=103281&atid=635682
Comment 1 Michael Felczak 2011-08-12 15:48:00 PDT
See new TinyMCE bug tracker:
http://www.tinymce.com/develop/bugtracker_view.php?id=3132
Comment 2 Alec Smecher 2013-02-20 15:24:48 PST
Moving to 2.4.3 (pending TinyMCE fix).
Comment 3 Michael Felczak 2013-09-03 15:55:16 PDT
This looks to be fixed with the more recent version of TinyMCE (3.4.9) in OJS 2.4.2 and the latest version of Firefox (23.0).